PipeWire 1.4.8

Loading...
Searching...
No Matches
module.h File Reference
Core API » Module

pipewire/module.h More...

Go to the source code of this file.

## Data Structures
struct | pw_module_info
| The module information. More...
struct | pw_module_events
| Module events. More...
struct | pw_module_methods
| Module methods. More...

## Macros
#define | PW_TYPE_INTERFACE_Module PW_TYPE_INFO_INTERFACE_BASE "Module"
#define | PW_MODULE_PERM_MASK PW_PERM_R|PW_PERM_M
#define | PW_VERSION_MODULE 3
#define | PW_API_MODULE_IMPL static inline
#define | PW_MODULE_CHANGE_MASK_PROPS (1 << 0)
#define | PW_MODULE_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_MODULE_EVENT_INFO 0
#define | PW_MODULE_EVENT_NUM 1
#define | PW_VERSION_MODULE_EVENTS 0
#define | PW_MODULE_METHOD_ADD_LISTENER 0
#define | PW_MODULE_METHOD_NUM 1
#define | PW_VERSION_MODULE_METHODS 0

## Functions
struct pw_module_info * | pw_module_info_update (struct pw_module_info *info, const struct pw_module_info *update)
| Update and existing pw_module_info with update with reset.
struct pw_module_info * | pw_module_info_merge (struct pw_module_info *info, const struct pw_module_info *update, bool reset)
| Merge and existing pw_module_info with update.
void | pw_module_info_free (struct pw_module_info *info)
| Free a pw_module_info.
PW_API_MODULE_IMPL int | pw_module_add_listener (struct pw_module *object, struct spa_hook *listener, const struct pw_module_events *events, void *data)

## Detailed Description

pipewire/module.h